## com.sun.jersey.spi
Interface StringReaderWorkers

    public interface StringReaderWorkers

An injectable interface providing lookup of `StringReader` instances.

Author:
  Paul.Sandoz@Sun.Com

Method Summary

`

`<T> StringReader<T>`

`

`getStringReader(java.lang.Class<T> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations)`
Get a string reader that matches a set of criteria.

Method Detail

### getStringReader

    <T> StringReader<T> getStringReader(java.lang.Class<T> type,
                                        java.lang.reflect.Type genericType,
                                        java.lang.annotation.Annotation[] annotations)

  Get a string reader that matches a set of criteria.

  Type Parameters:
    `T` - the type of object to be read from a string.
  Parameters:
    `type` - the class of object to be read.
    `genericType` - the type of object to be produced. E.g. if the message body is to be converted into a method parameter, this will be the formal type of the method parameter as returned by `Class.getGenericParameterTypes`.
    `annotations` - an array of the annotations on the declaration of the artifact that will be initialized with the produced instance. E.g. if the string is to be converted into a method parameter, this will be the annotations on that parameter returned by `Class.getParameterAnnotations`.
  Returns:
    a StringReader that matches the supplied criteria or null if none is found.

Copyright © 2017 Oracle Corporation. All Rights Reserved.